%define name	clamav
%define version	0.90

%define	major	1
%define libname	%mklibname %{name} %{major}

%define milter	1

#compatability macros:
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%{?_with_milter:   %{expand: %%global milter 1}}
%{?_without_milter:   %{expand: %%global milter 0}}

Summary:	An anti-virus utility for Unix
Name:		%{name}
Version:	%{version}
Release:	0.1.20060mdk
License:	GPL
Group:		File tools
URL:		http://clamav.sourceforge.net/
Source0:	http://www.clamav.net/%{name}-%{version}.tar.gz
Source1:	http://www.clamav.net/%{name}-%{version}.tar.gz.sig
Source2:	clamav-clamd.init.bz2
Source3:	clamav-clamd.logrotate.bz2
Source4:	clamav-freshclamd.init.bz2
Source5:	clamav-freshclam.logrotate.bz2
Source6:	clamav-milter.init.bz2
Source7:	clamav-milter.sysconfig.bz2
Patch0:		clamav-0.90-mdv-config.patch
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	bc
%if %mdkversion >= 1000
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
%endif
%if %{milter}
BuildRequires:	sendmail-devel
BuildRequires:	tcp_wrappers-devel
%endif
BuildRequires:	zlib-devel
BuildRequires:	gmp-devel
BuildRequires:	curl-devel
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose
of this software is the integration with mail seversions (attachment
scanning). The package provides a flexible and scalable
multi-threaded daemon, a commandline scanner, and a tool for
automatic updating via Internet. The programs are based on a
shared library distributed with the Clam AntiVirus package, which
you can use in your own software. 

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out] milter	Build %{name}-milter (default)

%package -n	clamd
Summary:	The Clam AntiVirus Daemon
Group:		System/Servers
Requires:	%{name} = %{version}
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	clamd
The Clam AntiVirus Daemon

%if %{milter}
%package -n	%{name}-milter
Summary:	The Clam AntiVirus sendmail-milter Daemon
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	clamd = %{version}
Requires:	sendmail
Requires:	tcp_wrappers
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-milter
The Clam AntiVirus sendmail-milter Daemon
%endif

%package -n	%{name}-db
Summary:	Virus database for %{name}
Group:		Databases
Requires:	%{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-db
The actual virus database for %{name}

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:          System/Libraries

%description -n	%{libname}
Shared libraries for %{name}

%package -n	%{libname}-devel
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel lib%{name}-devel
Obsoletes:	%{name}-devel lib%{name}-devel

%description -n	%{libname}-devel
This package contains the static %{libname} library and its header
files.

%prep

%setup -q -n %{name}-%{version}

# clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
	
%patch0 -p1 -b .mdkconf

mkdir -p Mandriva
bzcat %{SOURCE2} > Mandriva/clamav-clamd.init
bzcat %{SOURCE3} > Mandriva/clamav-clamd.logrotate
bzcat %{SOURCE4} > Mandriva/clamav-freshclamd.init
bzcat %{SOURCE5} > Mandriva/clamav-freshclam.logrotate
bzcat %{SOURCE6} > Mandriva/clamav-milter.init
bzcat %{SOURCE7} > Mandriva/clamav-milter.sysconfig

%build
%if %mdkversion > 1000
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7
%endif

export SENDMAIL="%{_libdir}/sendmail"

%serverbuild

%configure2_5x \
    --disable-%{name} \
    --with-user=%{name} \
    --with-group=%{name} \
    --with-dbdir=%{_localstatedir}/%{name} \
    --enable-id-check \
    --enable-clamuko \
    --enable-bigstack \
    --with-libcurl \
    --with-zlib=%{_prefix} \
    --disable-zlib-vcheck \
%if %{milter}
    --enable-milter --with-tcpwrappers
%else
    --disable-milter --without-tcpwrappers
%endif			

#    --enable-debug \

%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# install the init scripts
install -d %{buildroot}%{_initrddir}
install -m755 Mandriva/clamav-clamd.init %{buildroot}%{_initrddir}/clamd
install -m755 Mandriva/clamav-freshclamd.init %{buildroot}%{_initrddir}/freshclam

%if %{milter}
# install the init script
install -m755 Mandriva/clamav-milter.init %{buildroot}%{_initrddir}/clamav-milter
# install the milter config
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m644 Mandriva/clamav-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-milter
%endif

# install the logrotate stuff
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m644 Mandriva/clamav-clamd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamd
install -m644 Mandriva/clamav-freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam

install -d %{buildroot}%{_var}/log/%{name}
touch %{buildroot}%{_var}/log/%{name}/freshclam.log
touch %{buildroot}%{_var}/log/%{name}/clamd.log

# install config files
install -m644 etc/clamd.conf %{buildroot}%{_sysconfdir}/clamd.conf
install -m644 etc/freshclam.conf %{buildroot}%{_sysconfdir}/freshclam.conf

# pid file dir
install -d %{buildroot}%{_var}/run/%{name}

# fix TMPDIR
install -d %{buildroot}%{_localstatedir}/%{name}/tmp

cat > README.qmail+qmail-scanner <<EOF
#!/bin/sh
#
# The "temporary" qmail+qmail-scanner HOWTO
# -----------------------------------------
#
# For some unknown and undocumented reason clamdscan stopped working
# in the excellent qmail+qmail-scanner setup somewhere after the
# 20040103 CVS snapshot.
#
# To get it working again everything assigned to the clamav user has
# to be changed to the qscand user by hand.
#
# Hint: Change the config and chown the directories like this:
# (if you are lazy you could just execute this file)

perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/clamd
perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/freshclam
perl -pi -e "s|^User %{name}|User qscand|g" %{_sysconfdir}/clamd.conf
perl -pi -e "s|^DatabaseOwner %{name}|DatabaseOwner qscand|g" %{_sysconfdir}/freshclam.conf

chown -R qscand:qscand %{_localstatedir}/%{name}
chown -R qscand:qscand %{_var}/log/%{name}
chown -R qscand:qscand %{_var}/run/%{name}

if [ -x %{_initrddir}/clamd ]; then
    %{_initrddir}/clamd restart
fi

if [ -x %{_initrddir}/freshclam ]; then
    %{_initrddir}/freshclam restart
fi

# Regards // Oden Eriksson
EOF

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/clamav-config
%endif

%pre
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/sh

if ! [ -z "`getent group amavis`" ]; then
    gpasswd -a %{name} amavis
fi

%post
%_post_service freshclam
%create_ghostfile %{_var}/log/%{name}/freshclam.log %{name} %{name} 0644

%preun
%_preun_service freshclam

%pre -n clamd
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/sh

%post -n clamd
%_post_service clamd
%create_ghostfile %{_var}/log/%{name}/clamd.log %{name} %{name} 0644

%preun -n clamd
%_preun_service clamd

%postun -n clamd
%_postun_userdel %{name}

%if %{milter}
%post -n %{name}-milter
%_post_service %{name}-milter

%preun -n %{name}-milter
%_preun_service %{name}-milter
%endif

%pre -n %{name}-db
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/sh

%post -n %{name}-db
# try to keep most uptodate database
for i in main daily; do
	if [ -f %{_var}/lib/clamav/$i.cvd.rpmnew ]; then
		if [ %{_var}/lib/clamav/$i.cvd.rpmnew -nt %{_var}/lib/clamav/$i.cvd ]; then
			mv -f %{_var}/lib/clamav/$i.cvd.rpmnew %{_var}/lib/clamav/$i.cvd
		else
			rm -f %{_var}/lib/clamav/$i.cvd.rpmnew
		fi
	fi
done

%postun -n %{name}-db
%_postun_userdel %{name}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig

%postun -n %{libname}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README test UPGRADE
%doc docs/*.pdf contrib/clamdwatch
%doc README.qmail+qmail-scanner COPYING
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%attr(0755,root,root) %{_initrddir}/freshclam
%{_bindir}/clamconf
%{_bindir}/clamscan
%{_bindir}/clamdscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_mandir}/man1/sigtool.1*
%{_mandir}/man1/clamconf.1*
%{_mandir}/man1/clamdscan.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/freshclam.1*
%{_mandir}/man5/clamd.conf.5*
%{_mandir}/man5/freshclam.conf.5*
%if !%{milter}
%exclude %{_mandir}/man8/%{name}-milter.8*
%endif
%dir %attr(0755,%{name},%{name}) %{_var}/run/%{name}
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/%{name}
%dir %attr(0755,%{name},%{name}) %{_var}/log/%{name}
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/freshclam.log

%files -n clamd
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamd
%attr(0755,root,root) %{_initrddir}/clamd
%{_sbindir}/clamd
%{_mandir}/man8/clamd.8*
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/clamd.log

%if %{milter}
%files -n %{name}-milter
%defattr(-,root,root)
%doc %{name}-milter/INSTALL
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-milter
%attr(0755,root,root) %{_initrddir}/%{name}-milter
%{_sbindir}/%{name}-milter
%{_mandir}/man8/%{name}-milter.8*
%endif

%files -n %{name}-db
%defattr(-,root,root)
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/%{name}
%attr(0644,%{name},%{name}) %config(noreplace) %{_localstatedir}/%{name}/daily.cvd
%attr(0644,%{name},%{name}) %config(noreplace) %{_localstatedir}/%{name}/main.cvd
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/%{name}/tmp

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc contrib/clamdwatch
%doc contrib/clamdmon
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/clamav-config
%endif
%{_bindir}/clamav-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libclamav.pc
      
%changelog
* Sun Feb 18 2007 Stew Benedict <sbenedict@mandriva.com> 0.90-0.1.20060mdk
- 0.90 - usual "outdated" message upsetting users
- replace P0 with one from cooker pkg
- drop clamavmon docs
- add clamconf bin/manpage

* Tue Dec 12 2006 Vincent Danen <vdanen@mandriva.com> 0.88.7-0.1.20060mdk
- 0.88.7: fixes for CVECVE-2006-5874, CVE-2006-6406, and possibly
  CVE-2006-6481

* Fri Dec 01 2006 Stew Benedict <sbenedict@mandriva.com> 0.88.6-0.1.20060mdk
- 0.88.6: previous version is complaining to users about "outdated"

* Tue Oct 17 2006 Vincent Danen <vdanen@mandriva.com> 0.88.5-0.1.20060mdk
- 0.88.5: fixes for CVE-2006-4182, CVE-2006-5295

* Tue Aug 08 2006 Vincent Danen <vdanen@mandriva.com> 0.88.4-0.1.20060mdk
- 0.88.4 (fixes a heap-based buffer overflow vulnerability)

* Tue May 23 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88.2-0.2.20060mdk
- don't trash the pdf files (#22538)

* Mon May 01 2006 Vincent Danen <vdanen@mandriva.com> 0.88.2-0.1.20060mdk
- 0.88.2: security fix for CVE-2006-1989

* Thu Apr 06 2006 Vincent Danen <vdanen@mandriva.com> 0.88.1-0.1.20060mdk
- 0.88.1: security fixes for CVE-2006-1614, CVE-2006-1615, CVE-2006-1630

* Sat Jan 14 2006 Vincent Danen <vdanen@mandriva.com> 0.88-0.1.20060mdk
- 0.88: security fixes for CVE-2006-0162

* Mon Nov 07 2005 Vincent Danen <vdanen@mandriva.com> 0.87.1-0.1.20060mdk
- 0.87.1; security fixes for CVE-2005-3239, CVE-2005-3303, CVE-2005-3500,
  CVE-2005-3501

* Fri Sep 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.87-1mdk
- 0.87

* Mon Jul 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.2-1mdk
- 0.86.2

* Sat Jul 23 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.1-4mdk
- don't add the amavis group in %%pre, use other means to add the
  clamav user to amavis group, and only if the amavis group exists

* Tue Jul 20 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.86.1-3mdk
- provide compatability macros for rebuilders who dont follow
  development changes that would make their lives easier
- dos2unix was in contrib up to (and incluing) 10.1

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.1-2mdk
- make it easier to build on older releases (eg. mdk updates)
- don't ship the Windows crap (Buchan Milne)

* Sun Jun 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86.1-1mdk
- 0.86.1

* Tue Jun 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.86-1mdk
- 0.86
- drop the singlewrite patch, it's implemented upstream

* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85.1-3mdk
- fix #16395 (S3 and S5)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85.1-2mdk
- added P1 by Denis Vlasenko (applied in CVS)

* Tue May 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85.1-1mdk
- 0.85.1

* Sun May 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-4mdk
- don't trash the databases..., this dos2unix command sure is 
  destructive...

* Sun May 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-3mdk
- use new rpm-4.4.x pre,post magic
- use better anti ^M stripper

* Sun May 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-2mdk
- rebuilt with correct "%{_localstatedir}/%{name}" location (#15980)

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.85-1mdk
- 0.85

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.84-1mdk
- 0.84
- drop the "gentle warning" patch, a similar "fix" is 
  implemented upstream

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-6mdk
- use the %%mkrel macro

* Thu Mar 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-5mdk
- fix deps and conditional %%multiarch

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-4mdk
- reverting the previous "fix"...

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-3mdk
- for some reason the default DatabaseMirror ns rr was not
  working, fixed (fixes #13869)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-2mdk
- added an "anti panic patch" (P1) ;)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-1mdk
- 0.83
- fix some rpmlint errors
- rediffed P0
- strip away annoying ^M

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.82-1mdk
- 0.82
- drop cvs fixes patch, it's implemented upstream

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-4mdk
- exclude the %{name}-milter.8 man page if built without milter 

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-3mdk
- new P1
- mention the conditional build switch in the description

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-2mdk
- added P1 in an attempt to fix #13355, P1 also fixes various
  other issues

* Wed Jan 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-1mdk
- 0.81
- we were allready shipping the clamav source, so.. there's little
  point of nuking the M$ *.exe binary...
- please mrlint in the requires-on-release quest
- misc spec file fixes

* Thu Jan 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-0.rc1.1mdk
- fix release string (duh!)

* Thu Jan 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.81-0.rc1.1mdk
- 0.81rc1
- drop the libtool patch by Gwenole Beauchesne, it's merged upstream
- fix deps
- fix P0 and TMPDIR

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-8mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-7mdk
- applied fixes by Bill Randle
- handle log file creation in the sysv scripts too, cleanup these
  scripts some
- misc spec file fixes

* Thu Nov 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-6mdk
- rebuilt due to missing clamd package

* Thu Nov 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.80-5mdk
- libtool fixes

* Thu Nov 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-4mdk
- use "export EGREP=egrep" as suggested by Luca Berra in an 
  attempt to fix build on x86_64

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-3mdk
- since the libs won't provide, we need to require them

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-2mdk
- fix a silly groups typo

* Mon Oct 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.80-1mdk
- 0.80
- rediffed P0
- add the freshclam init script (S3)
- reorder and rename S1 - S6
- fix S6
- change so that client parts belongs to the main clamav package
- fix deps
- misc spec file fixes

* Sat Jul 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75.1-1mdk
- use "-1mdk" ;) (catched by Bill Randle)

* Fri Jul 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75.1-1mdk
- 0.75.1 (bugfix release)

* Thu Jul 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75-2mdk
- 0.75-1 (bugfix release)

* Fri Jul 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.75-1mdk
- 0.75

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.74-1mdk
- 0.74

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.73-1mdk
- 0.73
- drop P2, it's in there

* Thu Jun 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.72-1mdk
- 0.72

* Thu Jun 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.72-0.1mdk
- 0.72 (from cvs)

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-3mdk
- added P2 from PLD

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-2mdk
- added fixes by Bill Randle <billr@neocat.org>:
  | drop S9 (not needed as default mdk install does not run amavisd chroot)
  | add German docs
  | add --with/--without freshclamhourly option for hourly+random offset
  | freshclam runs
  | add P1
  | add clamav user to amavis group
  | drop unneeded mdk92/mdk100 defines
- fixed a more convenient README.qmail+qmail-scanner file ;)
- don't ship the *.exe file, put contrib sources in the devel sub package

* Fri May 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.71-1mdk
- 0.71
- rediffed P0
- drop clamdmail, eventually it will be a stand alone package, if 
  it's better maintained

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.70-2mdk
- remove stuff that always enable build of clamdmail (thanks 
  Luca Berra <bluca@comedia.it>)

* Sun Apr 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.70-1mdk
- 0.70
- clamdmail-0.15a
- merge static devel into devel
- added fixes by Bill Randle <billr@neocat.org>:
  - rediff Patch0
  - additonal doc files
  - create Patch1 for clamdmail
  - clamav.clamav+amavisd-new-fixup.sh script
  - change start priority for clamd so it starts before clamav-milter
    (reported by and suggested fix by jbolin@users.sourceforge.net)

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.68-1mdk
- 0.68-1
- drop P1
- fix P0

* Tue Feb 17 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.67-4mdk
- added fixes from 0.67-1 (P2)
- fixed a stupid spec file thang (thanks Luca Berra and Daniel J McDonald)
- added a note about qmail+qmail-scanner
- for now i will only correct things i find too strange or too stupid,
  don't expect me to work this fulltime as the previous 2-3 years... the
  previous changelog entry explains why i jumped in here.

* Tue Feb 17 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.67-3mdk
- fix freshclam cron policy: do not ship clamav with a db update frequency 
  of one hour. once a day is ok for joe user. thousands or maybe millions 
  of mdk10+ boxes could bring the clamav antivirus database mirrors to its 
  knees, or even worse in about six months turn it into a pre-paid 
  subscription service. any serious admin can change this update frequency,
  at will post install...
- fix conditional build for the sendmail milter
- turn on debug code, disable clamuko (who uses it?)
- make clamd use its own config file
- misc spec file fixes

* Sun Feb 15 2004 Bill Randle <billr@neocat.org> 0.67-2mdk
- update spec file to match Luca's version in contrib
- put freshclam cron file in cron.hourly

* Sun Feb 15 2004 Bill Randle <billr@neocat.org> 0.67-1mdk
- sync with new 0.67 release (fixes memory management problem)

* Sun Feb 15 2004 Luca Berra <bluca@vodka.it> 0.66-3mdk
- really fix freshclam cron script

* Wed Feb 11 2004 Luca Berra <bluca@vodka.it> 0.66-2mdk 
- fix clamdmail version

* Wed Feb 11 2004 Luca Berra <bluca@vodka.it> 0.66-1mdk 
- 0.66
- fix freshclam return code in cron script
- use freshclam.conf
- allow building without clamdmail for 9.2 (no libripmime-devel)
- removed P1 (included upstream)
- rediffed P0
- massage rpm for easy snapshot/release build

* Sun Dec 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.66-0.20031204.1mdk
- fix weird #6486 (S2)
- use a recent CVS snapshot (there's simply too much going on here...)
- clamdmail-0.15
- buildrequires ripmime-devel (for clamdmail)
- drop P1 & P2
- rediffed P0
- added new P1

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-4mdk
- added P2 (CVS fixes)

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-3mdk
- clamdmail-0.14
- drop P2, it's included

* Fri Nov 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-2mdk
- fixed P0

* Thu Nov 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.65-1mdk
- 0.65
- removed one patch, added P1 & P2
- gmp is needed now
- misc spec file fixes

* Sat Sep 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030829.1mdk
- use the 20030829 snapshot
- remove patches that's included in the upstream source
- changed P3 to P1
- fix S7 and log stuff in the spec file
- fetch virus databases as these are not included
- clamdmail-0.13
- fix buildrequires

* Mon Aug 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030806.2mdk
- use the correct 20030806 snapshot
- added P1 to fix stale sockets if unclean shutdown.
- added P2 to fix cli_malloc build error
- update url
- update url in mirrors.txt file (P3)

* Tue Aug 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030806.1mdk
- use the 20030806 snapshot
- added 2 files from contrib into docdir

* Tue Aug 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.5mdk
- spec file work around for rpm stupidity...

* Tue Aug 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.4mdk
- added the clamdmail subpckage

* Tue Jul 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.3mdk
- use some more spec file voodoo magic to please distlint (a bit?)

* Sat Jul 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.2mdk
- change description on request by the author

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.61-0.20030705.1mdk
- use the 20030705 snapshot
- added some more docs

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-2mdk
- rebuild
- misc spec file fixes

* Sun Jun 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.60-1mdk
- misc fixes by mutt@free.fr:
  - upgrade to 0.60 (clamav-0.54-buffer_overflow_fix included)
  - doc changes (Spanish, Japanese), new file mirrors.txt
- added the clamav-milter sub package (S3 & S4)
- added cron script to auto update the virus database, plus a logrotate
  configuration file (S5 & S6)
- use the %%configure2_5x macro
- fix buildrequires
- rediff P0
- move logs to /var/log/clamav/ (msec fix)
- misc spec file fixes

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-8mdk
- rebuilt to have rpm v4.2 pick up provides

* Thu Mar 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-7mdk
- fix potential security hole (P1) as in:
  http://archive.elektrapro.com/clamav.elektrapro.com/users/2003/3/msg00016.html

* Thu Mar 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-6mdk
- use the %%mklibname macro
- misc spec file fixes
- fix pid file location
- got rpmlint a little happier...

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-5mdk
- build release

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-4mdk
- argh!!! viruscanner should spell virusscanner, right?

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-3mdk
- added virtual provides (pointed out by Buchan Milne)
  clamav Provides: viruscanner AV-Scanner
  clamd Provides: viruscanner-daemon AV-Scanner-Daemon

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-2mdk
- fix %%_pre_useradd (pointed out by Buchan Milne)
- also fix ldconfig in %%post %%postun (wierd...)

* Thu Nov 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.54-1mdk
- new version
- updated P0
- %{_bindir}/clamdscan was added to the clamd package
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.53-1mdk
- new version

* Tue Oct 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.52-1mdk
- new version
- misc spec file fixes

* Sat Oct 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-3mdk
- attrib 711 on %{_localstatedir}/clamav was too restrictive for
  qmail-scanner, changed that to 755

* Mon Oct 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-2mdk
- fixed Group=File tools for main package (correct?)

* Wed Oct 09 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.51-1mdk
- new version
- libifictions and daemonification
- major spec file fixes

* Thu Aug 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.24-1mdk
- new version
- added GnuPG signature
- misc spec file fixes

* Sat Aug  3 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23-1mdk
- new version

* Wed Jul 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.22-1mdk
- new version

* Thu Jul 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21-1mdk
- new version

* Tue Jul 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.20-1mdk
- new version, new url
- misc spec file fixes

* Wed Jun 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-1mdk
- new version

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14-1mdk
- new version
- remove P0

* Sat May 11 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.11-1mdk
- initial cooker contrib

